// Send measurement values to CCU
void reportCCU_ON() {
    if (CCU_CuxD == 1) {
      WiFiClient client;

      if (!client.connect(host_CCUIP, 8181)) {return;}
      
      String url = "http://" + String(host_CCUIP) + "/cuxd.exe?x=dom.GetObject(\"CUxD." + String(CCU_CuxDAdress) + ".SET_STATE\").State(1)";
      //String url = "/sensor.exe?val1=dom.GetObject('CUxD." +  + ":1.SET_HUMIDITY').State('" + "')";  
      client.print(String("GET ") + url + " HTTP/1.1\r\n" +
      "Host: " + host_CCUIP + "\r\n" +
      "Connection: close\r\n\r\n");
      delay(100);
     
      // Read all the lines of the reply from server and print them to Serial
      while (client.available()) {String line = client.readStringUntil('\r');}
      //delay(100);
      Serial.println("Sent values to CuxD");
      }
}

void reportCCU_OFF() {
    if (CCU_CuxD == 1) {
      WiFiClient client;

      if (!client.connect(host_CCUIP, 8181)) {return;}
      
      String url = "http://" + String(host_CCUIP) + "/cuxd.exe?x=dom.GetObject(\"CUxD." + String(CCU_CuxDAdress) + ".SET_STATE\").State(0)";
      //String url = "/sensor.exe?val1=dom.GetObject('CUxD." +  + ":1.SET_HUMIDITY').State('" + "')";  
      client.print(String("GET ") + url + " HTTP/1.1\r\n" +
      "Host: " + host_CCUIP + "\r\n" +
      "Connection: close\r\n\r\n");
      delay(100);
     
      // Read all the lines of the reply from server and print them to Serial
      while (client.available()) {String line = client.readStringUntil('\r');}
      //delay(100);
      Serial.println("Sent values to CuxD");
      }
}



void handle_CCU(){
   String CCU_IP = server.arg("ip");
   String CCUCUXD = server.arg("cuxd");
   String CCUCUXDDEVICE = server.arg("cuxdDevice");
   
   if (CCU_IP !="") {
     eeprom_Function = 12;
     CCU_IP.toCharArray(host_CCUIP, 16);
     server.send(200, F("text/html; charset=utf-8"),wwwCommandHeader +  "CCU IP : " + String(host_CCUIP) + wwwGoBack);
     delay(100);
     //Serial.println("CCU IP");       
     writeEEPROM();       
   }
   if (CCUCUXDDEVICE !="") {
     eeprom_Function = 11;
     CCUCUXDDEVICE.toCharArray(CCU_CuxDAdress, 38);
     server.send(200, F("text/html; charset=utf-8"),wwwCommandHeader +  "CCU CuxD device adress : " + String(CCU_CuxDAdress) + wwwGoBack);
     delay(100);
     //Serial.println("CCU CuxD Device");       
     writeEEPROM();       
   }
   else if (CCUCUXD != "") {        
     eeprom_Function = 10;
     CCU_CuxD = CCUCUXD.toInt();
     if (CCU_CuxD < 0){CCU_CuxD = 0;}
     if (CCU_CuxD > 1){CCU_CuxD = 1;}
     server.send(200, F("text/html; charset=utf-8"),wwwCommandHeader +  "CCU CuxD Active : " + String(CCU_CuxD) + wwwGoBack);
     delay(100);
     //Serial.println("CCU CuxD Active");       
     writeEEPROM();       
   }
   else {
     server.send(200, F("text/html; charset=utf-8"),wwwCommandHeader +  "CCU nothing done" + wwwGoBack);
     delay(100);
     //Serial.println("CCU = Did nothing");  
   }
}

