// Send measurement values to ioBroker
void reportIOB() {
    // get the State of LED before we send to set back after send is done
    //################### TESTING!!!! ################################
    /*
    int LEDState = digitalRead(4);
    int val;
    if (LEDState == 1) {val = 0;}
    else {val = 1;}
    digitalWrite(4, val);    
    Serial.println(val);
    //###################################################################
    */

    if (IOB_active == 1) {
      WiFiClient client;
      if (!client.connect(host_ioBrokerIP, host_ioBrokerPORT)) {return;}

      //String url = "";
      String url = "/setBulk?" + String(IOB_Datapoint_Path) + "." + String(IOB_Datapoint_Sub) + "." + String(IOB_Datapoint_State) + "=" + IOB_State + "&" +
                    String(IOB_Datapoint_Path) + "." + String(IOB_Datapoint_Sub) + "." + String(IOB_Datapoint_Message) + "=" + String(IOB_Message)+ "&prettyPrint";
      Serial.print(timeStamp() + " : Requesting URL: ");
      Serial.println(url);
      // This will send the request to the server
      client.print(String("GET ") + url + " HTTP/1.1\r\n" +
      "Host: " + host_ioBrokerIP + "\r\n" +
      "Connection: close\r\n\r\n");
      delay(100);
     
      while (client.available()) {String line = client.readStringUntil('\r');}
      //delay(100);
      Serial.println("Sent values to ioBroker");
      //digitalWrite(4, LEDState);
    }    
}  

void handle_ioBroker(){
   String ioBrokerIP = server.arg("ip");
   String ioBrokerPORT = server.arg("port");
   String ioBrokerActive = server.arg("active");
   String ioBrokerPath = server.arg("path");
   String ioBrokerSub = server.arg("sub");
   String ioBrokerState = server.arg("st");
   String ioBrokerMessage = server.arg("msg");
   String ioBrokerStateTime = server.arg("statetime");
   
   if (ioBrokerIP !="") {
     eeprom_Function = 1;
     ioBrokerIP.toCharArray(host_ioBrokerIP, 16);
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker IP : " + String(host_ioBrokerIP) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker IP");
     writeEEPROM();       
   }
   else if (ioBrokerPORT != "") {        
     eeprom_Function = 2;
     host_ioBrokerPORT = ioBrokerPORT.toInt();
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker Port : " + String(host_ioBrokerPORT) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Port");       
     writeEEPROM();       
   }
   else if (ioBrokerActive != "") {        
     eeprom_Function = 13;
     IOB_active = ioBrokerActive.toInt();
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker Active : " + String(IOB_active) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Active");       
     writeEEPROM();       
   }
   else if (ioBrokerPath !="") {
     eeprom_Function = 3;
     ioBrokerPath.toCharArray(IOB_Datapoint_Path, 80);
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker Path : " + String(IOB_Datapoint_Path) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Datapoint Path");
     writeEEPROM();       
   }   
   else if (ioBrokerSub !="") {
     eeprom_Function = 4;
     ioBrokerSub.toCharArray(IOB_Datapoint_Sub, 80);
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker Sub : " + String(IOB_Datapoint_Sub) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Datapoint Sub");
     writeEEPROM();       
   }   
   else if (ioBrokerState !="") {
     eeprom_Function = 5;
     ioBrokerState.toCharArray(IOB_Datapoint_State, 80);
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker StateName : " + String(IOB_Datapoint_State) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Datapoint StateName");
     writeEEPROM();       
   }   
    else if (ioBrokerMessage !="") {
     eeprom_Function = 6;
     ioBrokerMessage.toCharArray(IOB_Datapoint_Message, 80);
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker MessageName : " + String(IOB_Datapoint_Message) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Datapoint MessageName");
     writeEEPROM();       
   }   
    else if (ioBrokerStateTime != "") {        
     eeprom_Function = 8;
     dSendState = ioBrokerStateTime.toInt() * 1000;
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker StateTime : " + String(ioBrokerStateTime) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker StateTime");       
     writeEEPROM();       
   }
 
   else {
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "ioBroker nothing done" + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker = Did nothing");  
   }

   
}


