
//switch Relay ON
void switch_ON(){
    //first we gonna cancel all running delay functions
    enableDelay = false;
    dStatus = "";
    // we do need to create a low 100ms pulse on GPIO12 
    digitalWrite(12, 0); 
    delay(50); 
    digitalWrite(12, 1);
    digitalWrite(4, 1);
    relStatus = "ON";      
    Serial.println("Relay ON");
    String eAnswer = server.arg("ON");
    server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Switched permantly ON "  + wwwGoBack);
    delay(100); 
    build_wwwStatus("RELAY ON");
    IOB_State = "true";
    IOB_Message =  timeStamp() + "_RELAY-ON";
    reportIOB();
    reportCCU_ON();
}


//switch Relay OFF
void switch_OFF(){
    //first we gonna cancel all running delay functions
    enableDelay = false;
    dStatus = "";
    // we do need to create a low 100ms pulse on GPIO5 
    digitalWrite(5, 0); 
    delay(50); 
    digitalWrite(5, 1);
    digitalWrite(4, 0);
    relStatus = "OFF";      
    Serial.println("Relay OFF");
    String eAnswer = server.arg("OFF");
    server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Switched permanently OFF "  + wwwGoBack);
    delay(100); 
    build_wwwStatus("RELAY OFF");
    IOB_State = "false";
    IOB_Message =  timeStamp() + "_RELAY-OFF";
    reportIOB();
    reportCCU_OFF();
}


//switch Relay ON for delayed operations
void delayswitch_ON(){
    // we do need to create a low 100ms pulse on GPIO12 
    digitalWrite(12, 0); 
    delay(50); 
    digitalWrite(12, 1);
    digitalWrite(4, 1);
    relStatus = "ON";      
    Serial.println("delay Relay ON");
    //String eAnswer = server.arg("ON");
    //server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay Switched ON "  + wwwGoBack);
    //delay(100); 
    build_wwwStatus("RELAY ON");

    //IOB_State = "true";
    //IOB_Message =  timeStamp() + "_RELAY-ON";
    //reportIOB();
}


//switch Relay OFF for delayed operations
void delayswitch_OFF(){
    // we do need to create a low 100ms pulse on GPIO5 
    digitalWrite(5, 0); 
    delay(50); 
    digitalWrite(5, 1);
    digitalWrite(4, 0);
    relStatus = "OFF";      
    Serial.println("delay Relay OFF");
    //String eAnswer = server.arg("OFF");
    //server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay Switched OFF "  + wwwGoBack);
    //delay(100); 
    build_wwwStatus("RELAY OFF");
    //IOB_State = "false";
    //IOB_Message =  timeStamp() + "_RELAY-OFF";
    //reportIOB();
}


void delay_ON(){
   dStatus = "delay ON";
   handle_Delay = 1;
   String eD = server.arg("");
   if (eD != "") {        
     iDelayON = eD.toInt();
     if (iDelayON < 1 ){iDelayON = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay ON : " + String(eD) + wwwGoBack);
     delay(100);
     build_wwwStatus("DELAY ON");
     enableDelay = true;
     iDelayON = iDelayON * 1000 + millis();
   }
}


void delay_OFF(){
   dStatus = "delay OFF";
   handle_Delay = 2;
   String eD = server.arg("");
   if (eD != "") {        
     iDelayOFF = eD.toInt();
     if (iDelayOFF < 1 ){iDelayOFF = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay OFF : " + String(eD) + wwwGoBack);
     delay(100);
     build_wwwStatus("DELAY OFF");
     enableDelay = true;
     iDelayOFF = iDelayOFF * 1000 + millis();
   }
}


void ON_delay_OFF(){
   dStatus = "ON delay OFF";
   handle_Delay = 3;
   String eD = server.arg("");
   if (eD != "") {        
     iONDelayOFF = eD.toInt();
     if (iONDelayOFF < 1 ){iONDelayOFF = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay OFF : " + String(eD) + wwwGoBack);
     delay(100);
     build_wwwStatus("ON_DELAY OFF");
     enableDelay = true;
     iONDelayOFF = iONDelayOFF * 1000 + millis();
     delayswitch_ON();
   }
}


void OFF_delay_ON(){
   dStatus = " OFF delay ON";
   handle_Delay = 4;
   String eD = server.arg("");
   if (eD != "") {        
     iOFFDelayON = eD.toInt();
     if (iOFFDelayON < 1 ){iOFFDelayON = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Delay OFF : " + String(eD) + wwwGoBack);
     delay(100);
     build_wwwStatus("OF_DELAY ON");
     enableDelay = true;
     iOFFDelayON = iOFFDelayON * 1000 + millis();
     delayswitch_OFF();
   }
}


void AUTO_ON_OFF(){
   dStatus = "Auto ON/OFF";
   handle_Delay = 5;
   String eD = server.arg("");
   if (eD != "") {        
     iAutoONOFF = eD.toInt();
     if (iAutoONOFF < 1 ){iAutoONOFF = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Auto ON-OFF : " + String(eD) + wwwGoBack);
     delay(100);
     build_wwwStatus("Auto ON-OFF");
     enableDelay = true;
     dAutoONOFF = iAutoONOFF * 1000;
     iAutoONOFF = iAutoONOFF * 1000 + millis();
     delayswitch_ON();
   }

}

void command_ON(){}
void command_OFF(){}



// Relay State on PowerON
// Prepare to be written to EEPROM
// stateONPowerON
void handle_PowerONState(){
     String ePO = server.arg("");

   if (ePO != "") {        
     eeprom_Function = 7;
     stateONPowerON = ePO.toInt();
     if (stateONPowerON > 1 || stateONPowerON < 0){stateONPowerON = 0;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "PowerOnState : " + String(ePO) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Port");       
     writeEEPROM();       
   }
}

// Set wifi.Reconnect function ON / OFF

void handle_Reconnect(){
     String eReconnect = server.arg("");

   if (eReconnect != "") {        
     eeprom_Function = 9;
     enableReconnect = eReconnect.toInt();
     if (enableReconnect > 1 || enableReconnect < 0){enableReconnect = 1;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Wifi.Reconnect enabled : " + String(eReconnect) + wwwGoBack);
     delay(100);
     //Serial.println("ioBroker Port");       
     writeEEPROM();       
   }
}

void handle_KeepAlive() {
     String eKeepAlive = server.arg("");
     dKeepWIFIAlive = eKeepAlive.toInt() * 1000;
     if (dKeepWIFIAlive < 60000) {dKeepWIFIAlive = 60000;}
     server.send(200, F("text/html; charset=utf-8"), wwwCommandHeader + "Wifi.Reconnect Time : " + String(dKeepWIFIAlive / 1000) + " sec." + wwwGoBack);
     IOB_Message =  timeStamp() + "Iam Alive";
     
     delay(100);
}
